Bug 56956 - make modules error
make modules error
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-30 21:17 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-30 21:17:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-30 21:17:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
make modules error

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Linux 7.1 with kernel source code (Intel pentium III and 4)
2.cd /usr/src/linux-2.4
3.make clean
4. make dep
5. make oldconfig
6. make modules 
FAILED - 
	

Actual Results:  [root@Linux_02 linux-2.4]# make modules 
make -C  kernel CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4/include -Wall -
Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-
common -Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i686 -
DMODULE -DMODVERSIONS -include /usr/src/linux-
2.4/include/linux/modversions.h" MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.4.2/kernel'
make[1]: Nothing to be done for `modules'.
make[1]: Leaving directory `/usr/src/linux-2.4.2/kernel'
make -C  drivers CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4/include -Wall -
Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-
common -Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i686 -
DMODULE -DMODVERSIONS -include /usr/src/linux-
2.4/include/linux/modversions.h" MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.4.2/drivers'
make -C block modules
make[2]: Entering directory `/usr/src/linux-2.4.2/drivers/block'
make[2]: Nothing to be done for `modules'.
make[2]: Leaving directory `/usr/src/linux-2.4.2/drivers/block'
make -C cdrom modules
make[2]: Entering directory `/usr/src/linux-2.4.2/drivers/cdrom'
make[2]: Nothing to be done for `modules'.
make[2]: Leaving directory `/usr/src/linux-2.4.2/drivers/cdrom'
make -C char modules
make[2]: Entering directory `/usr/src/linux-2.4.2/drivers/char'
make -C drm modules
make[3]: Entering directory `/usr/src/linux-2.4.2/drivers/char/drm'
make[3]: Nothing to be done for `modules'.
make[3]: Leaving directory `/usr/src/linux-2.4.2/drivers/char/drm'
make -C pcmcia modules
make[3]: Entering directory `/usr/src/linux-2.4.2/drivers/char/pcmcia'
make[3]: Nothing to be done for `modules'.
make[3]: Leaving directory `/usr/src/linux-2.4.2/drivers/char/pcmcia'
make[2]: Leaving directory `/usr/src/linux-2.4.2/drivers/char'
make -C ide modules
make[2]: Entering directory `/usr/src/linux-2.4.2/drivers/ide'
make[2]: Nothing to be done for `modules'.
make[2]: Leaving directory `/usr/src/linux-2.4.2/drivers/ide'
make -C media modules
make[2]: Entering directory `/usr/src/linux-2.4.2/drivers/media'
make -C radio modules
make[3]: Entering directory `/usr/src/linux-2.4.2/drivers/media/radio'
make[3]: Nothing to be done for `modules'.
make[3]: Leaving directory `/usr/src/linux-2.4.2/drivers/media/radio'
make -C video modules
make[3]: Entering directory `/usr/src/linux-2.4.2/drivers/media/video'
make[3]: Nothing to be done for `modules'.
make[3]: Leaving directory `/usr/src/linux-2.4.2/drivers/media/video'
make[2]: Leaving directory `/usr/src/linux-2.4.2/drivers/media'
make -C misc modules
make[2]: Entering directory `/usr/src/linux-2.4.2/drivers/misc'
make[2]: Nothing to be done for `modules'.
make[2]: Leaving directory `/usr/src/linux-2.4.2/drivers/misc'
make -C net modules
make[2]: Entering directory `/usr/src/linux-2.4.2/drivers/net'
gcc -D__KERNEL__ -I/usr/src/linux-2.4/include -Wall -Wstrict-prototypes -
O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-unused -
pipe -mpreferred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -
include /usr/src/linux-2.4/include/linux/modversions.h   -c -o dummy.o 
dummy.c
In file included from /usr/src/linux-2.4/include/linux/spinlock.h:35,
                 from /usr/src/linux-2.4/include/linux/module.h:11,
                 from dummy.c:34:
/usr/src/linux-2.4/include/asm/spinlock.h:8: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/asm/spinlock.h:8: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/asm/spinlock.h:8: parse error before `1b7d4074'
/usr/src/linux-2.4/include/asm/spinlock.h:9: `printk_R_ver_str' declared 
as func
tion returning a function
/usr/src/linux-2.4/include/asm/spinlock.h:9: warning: function declaration 
isn't a prototype
In file included from dummy.c:34:
/usr/src/linux-2.4/include/linux/module.h:173: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:173: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:173: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:173: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:173: parse error before 
`62dada05'
/usr/src/linux-2.4/include/linux/module.h:173: 
`inter_module_register_R_ver_str' declared as function returning a function
/usr/src/linux-2.4/include/linux/module.h:173: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4/include/linux/module.h:174: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:174: missing white space after 
number `7a9e845'
/usr/src/linux-2.4/include/linux/module.h:174: parse error before `7a9e845'
/usr/src/linux-2.4/include/linux/module.h:174: 
`inter_module_unregister_R_ver_str' declared as function returning a 
function
/usr/src/linux-2.4/include/linux/module.h:174: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4/include/linux/module.h:175: 
`inter_module_get_R_ver_str' declared as function returning a function
/usr/src/linux-2.4/include/linux/module.h:175: warning: parameter names 
(without types) in function declaration
/usr/src/linux-2.4/include/linux/module.h:176: 
`inter_module_get_request_R_ver_str' declared as function returning a 
function
/usr/src/linux-2.4/include/linux/module.h:176: warning: parameter names 
(without types) in function declaration
/usr/src/linux-2.4/include/linux/module.h:177: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:177: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:177: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:177: parse error before 
`6b99f7d8'
/usr/src/linux-2.4/include/linux/module.h:177: 
`inter_module_put_R_ver_str' declared as  function returning a function
/usr/src/linux-2.4/include/linux/module.h:177: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4/include/linux/module.h:186: 
`try_inc_mod_count_R_ver_str' declared as function returning a function
/usr/src/linux-2.4/include/linux/module.h:186: warning: parameter names 
(without types) in function declaration
make[2]: *** [dummy.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.2/drivers/net'
make[1]: *** [_modsubdir_net] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.2/drivers'
make: *** [_mod_drivers] Error 2
[root@Linux_02 linux-2.4]# 


Additional info:
Comment 1 Arjan van de Ven 2001-12-02 12:10:27 EST
For the original 7.1 kernel, you have to do "make mrproper" first (note: this
erases the .config file too, so you might want to save that first); this has
been worked around in later kernels we released as erratum..

Note You need to log in before you can comment on or make changes to this bug.